MOUNT_FTP(8)

NAME
mount_ftp - mount a FTP filesystem

SYNOPSIS
mount_ftp [-i] [-o options] ftp://host[:port][/path] node

DESCRIPTION
The mount_ftp command mounts a FTP-enabled server directory at ftp://host[:port][/path] at the mount point indicated by node.

If the -i option is not used, all the required information to establish a login to the remote server must be available in the ftp URL, including username & password if needed.

The user ID for all files and folders is set to the user's real user ID. The group ID for all files and directories is set to unknown, and the permissions default to read and execute for user, group and other.

The options are:

-i  Interactive mode, you are prompted for the username and password if you did not supply one in the url.

-o  Options passed to mount(2) are specified with the -o option followed by a comma separated string of options. See the mount(8) man page for possible options and their meanings. The rdonly option will be set even if it was not specified because mount_ftp does not allow files to be opened with write access on servers.

ftp://host[:port][/path]
    The FTP-enabled server directory to mount as a volume. If port is not specified, then port 21 is used. If path is not specified, then the path "/" is used.

node
    Path to mount point.

EXAMPLES
The following example illustrates how to mount the FTP-enabled server directory ftp.apple.com/ at the mount point /Volumes/mntpnt/

    mount_ftp ftp://ftp.apple.com/ /Volumes/mntpnt/

SEE ALSO
mount(2), unmount(2), mount(8)

HISTORY
The mount_ftp command first appeared Mac OS X Version 10.2.

RETURN VALUES

0   mount_ftp successfully mounted the server directory.

[ENOENT]
    The server directory could not be mounted by mount_ftp because the node path is invalid.

[ENODEV]
    The server directory could not be mounted by mount_ftp because it is not FTP-enabled or because it does not exist, or because node does not have proper access.

[ECANCELED]
    The server directory could not be mounted by mount_ftp because the user did not provide proper authentication credentials.

BUGS
mount_ftp only supports mounting read-only.